---
title: Suno audio coveren | RunAPI
description: Gebruik het cover audio-eindpunt om een asynchrone Task te maken.
url: https://runapi.ai/nl/docs/api/suno/cover-audio.md
canonical: https://runapi.ai/nl/docs/api/suno/cover-audio
locale: nl
---

> HTML-versie: https://runapi.ai/nl/docs/api/suno/cover-audio
> Site-index voor agents: https://runapi.ai/llms.txt

# Suno audio coveren

## Overzicht

Gebruik het cover audio-eindpunt met een ondersteund model. Gebruik de geretourneerde Task ID om de status op te halen, of geef callback_url op voor de hieronder gedocumenteerde leveringen.

### Snelstart

1. Maak een API-sleutel aan en stel deze in als RUNAPI_API_KEY.
2. Kies een ondersteund model en stuur een POST-verzoek waarvan de body overeenkomt met het schema van dat model.
3. Sla de geretourneerde taak-ID op en poll vervolgens totdat een eindstatus is bereikt, of verwerk de hieronder gedocumenteerde callbacks.

## Eindpunt

POST /api/v1/suno/cover_audio

Basis-URL: https://runapi.ai

API-versie: v1

Authenticatie: Authorization: Bearer YOUR_API_TOKEN

## Ondersteunde modellen

Open een modelpagina voor actuele prijzen, snelheidslimieten en details over commercieel gebruik.

- [suno-v4](https://runapi.ai/nl/models/suno/v4)
- [suno-v4.5](https://runapi.ai/nl/models/suno/v4.5)
- [suno-v4.5-all](https://runapi.ai/nl/models/suno/v4.5-all)
- [suno-v4.5-plus](https://runapi.ai/nl/models/suno/v4.5-plus)
- [suno-v5](https://runapi.ai/nl/models/suno/v5)
- [suno-v5.5](https://runapi.ai/nl/models/suno/v5.5)

## Verzoekschema

Velden en toegestane waarden zijn afhankelijk van het geselecteerde model. Indien opgegeven, ontvangt callback_url de hieronder gedocumenteerde taakaflevering.

### suno-v4

```json
{
  "audio_weight": {
    "description": "Audiogewicht (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "lyrics": {
    "description": "Exacte coverteksten om te zingen.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "Te vermijden stijlen.",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona-ID.",
    "type": "string"
  },
  "persona_type": {
    "description": "Type persona.",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Cover-briefing voor automatische songteksten.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "Muziekstijl.",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "Gewicht voor stijlnaleving (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "Muziekitel.",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "URL van het audiobestand om te coveren.",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "Vocaal geslacht.",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "Vocale generatiemodus.",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "Vreemdheidsbeperking (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v4.5

```json
{
  "audio_weight": {
    "description": "Audiogewicht (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "lyrics": {
    "description": "Exacte coverteksten om te zingen.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "Te vermijden stijlen.",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona-ID.",
    "type": "string"
  },
  "persona_type": {
    "description": "Type persona.",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Cover-briefing voor automatische songteksten.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "Muziekstijl.",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "Gewicht voor stijlnaleving (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "Muziekitel.",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "URL van het audiobestand om te coveren.",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "Vocaal geslacht.",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "Vocale generatiemodus.",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "Vreemdheidsbeperking (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v4.5-all

```json
{
  "audio_weight": {
    "description": "Audiogewicht (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "lyrics": {
    "description": "Exacte coverteksten om te zingen.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "Te vermijden stijlen.",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona-ID.",
    "type": "string"
  },
  "persona_type": {
    "description": "Type persona.",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Cover-briefing voor automatische songteksten.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "Muziekstijl.",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "Gewicht voor stijlnaleving (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "Muziekitel.",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "URL van het audiobestand om te coveren.",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "Vocaal geslacht.",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "Vocale generatiemodus.",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "Vreemdheidsbeperking (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v4.5-plus

```json
{
  "audio_weight": {
    "description": "Audiogewicht (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "lyrics": {
    "description": "Exacte coverteksten om te zingen.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "Te vermijden stijlen.",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona-ID.",
    "type": "string"
  },
  "persona_type": {
    "description": "Type persona.",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Cover-briefing voor automatische songteksten.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "Muziekstijl.",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "Gewicht voor stijlnaleving (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "Muziekitel.",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "URL van het audiobestand om te coveren.",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "Vocaal geslacht.",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "Vocale generatiemodus.",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "Vreemdheidsbeperking (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v5

```json
{
  "audio_weight": {
    "description": "Audiogewicht (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "lyrics": {
    "description": "Exacte coverteksten om te zingen.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "Te vermijden stijlen.",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona-ID.",
    "type": "string"
  },
  "persona_type": {
    "description": "Type persona.",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Cover-briefing voor automatische songteksten.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "Muziekstijl.",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "Gewicht voor stijlnaleving (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "Muziekitel.",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "URL van het audiobestand om te coveren.",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "Vocaal geslacht.",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "Vocale generatiemodus.",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "Vreemdheidsbeperking (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v5.5

```json
{
  "audio_weight": {
    "description": "Audiogewicht (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "lyrics": {
    "description": "Exacte coverteksten om te zingen.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "Te vermijden stijlen.",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona-ID.",
    "type": "string"
  },
  "persona_type": {
    "description": "Type persona.",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Cover-briefing voor automatische songteksten.",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "Muziekstijl.",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "Gewicht voor stijlnaleving (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "Muziekitel.",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "URL van het audiobestand om te coveren.",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "Vocaal geslacht.",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "Vocale generatiemodus.",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "Vreemdheidsbeperking (0-1).",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

#### Voorwaardelijke regels

Deze vereisten zijn van toepassing wanneer alle vermelde voorwaarden overeenkomen.

- **Wanneer**: `vocal_mode` = `auto_lyrics`; **Vereist**: `prompt`; **Niet geaccepteerd**: `lyrics`, `style`, `title`
- **Wanneer**: `vocal_mode` = `exact_lyrics`; **Vereist**: `lyrics`, `style`, `title`; **Niet geaccepteerd**: `prompt`
- **Wanneer**: `vocal_mode` = `instrumental`; **Vereist**: `style`, `title`; **Niet geaccepteerd**: `prompt`, `lyrics`

## Acceptatie aanmaken

HTTP 202 - POST /api/v1/suno/cover_audio

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Pollen bezig

HTTP 200 - GET /api/v1/suno/cover_audio/:id

### Responsschema

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "duration": {
            "type": "number"
          },
          "id": {
            "type": "string"
          },
          "image_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "lyrics": {
            "type": "string"
          },
          "model_name": {
            "type": "string"
          },
          "stream_audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "tags": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "title": {
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "generation_stage": {
      "enum": [
        "text_generated",
        "first_audio_ready"
      ],
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "generation_stage": "text_generated",
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Pollen voltooid

HTTP 200 - GET /api/v1/suno/cover_audio/:id

### Responsschema

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "duration": {
            "type": "number"
          },
          "id": {
            "type": "string"
          },
          "image_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "lyrics": {
            "type": "string"
          },
          "model_name": {
            "type": "string"
          },
          "stream_audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "tags": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "title": {
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "generation_stage": {
      "enum": [
        "text_generated",
        "first_audio_ready",
        "all_audios_ready",
        "failed"
      ],
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "audios",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "audios": [
    {
      "audio_url": "https://file.runapi.ai/reference-audio.mp3",
      "id": "audio_reference"
    }
  ],
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed"
}
```

## Pollen mislukt

HTTP 200 - GET /api/v1/suno/cover_audio/:id

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Callback van klant: wordt verwerkt

HTTP 200 - POST callback_url

### Responsschema

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "duration": {
            "type": "number"
          },
          "id": {
            "type": "string"
          },
          "image_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "lyrics": {
            "type": "string"
          },
          "model_name": {
            "type": "string"
          },
          "stream_audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "tags": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "title": {
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "generation_stage": {
      "enum": [
        "text_generated",
        "first_audio_ready"
      ],
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "generation_stage": "text_generated",
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Callback van klant: voltooid

HTTP 200 - POST callback_url

### Responsschema

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "duration": {
            "type": "number"
          },
          "id": {
            "type": "string"
          },
          "image_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "lyrics": {
            "type": "string"
          },
          "model_name": {
            "type": "string"
          },
          "stream_audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "tags": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "title": {
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "generation_stage": {
      "enum": [
        "text_generated",
        "first_audio_ready",
        "all_audios_ready",
        "failed"
      ],
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "audios"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "audios": [
    {
      "audio_url": "https://file.runapi.ai/reference-audio.mp3",
      "id": "audio_reference"
    }
  ],
  "id": "tsk_reference_demo",
  "status": "completed"
}
```

## Callback van klant: mislukt

HTTP 200 - POST callback_url

### Responsschema

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Fouten

HTTP 401 - POST /api/v1/suno/cover_audio

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Authentication required"
}
```

## Fouten

HTTP 401 - GET /api/v1/suno/cover_audio/:id

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Authentication required"
}
```

## Fouten

HTTP 400 - POST /api/v1/suno/cover_audio

### Responsschema

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "Leesbare foutmelding.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "Leesbare validatiesamenvatting.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Validatieberichten gekoppeld aan het openbare aanvraagveld, met een reeks leesbare tekenreeksen per veld.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Responsvoorbeeld

```json
{
  "error": "model must be one of: suno-v4, suno-v4.5, suno-v4.5-all, suno-v4.5-plus, suno-v5, suno-v5.5"
}
```

## Fouten

HTTP 402 - POST /api/v1/suno/cover_audio

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Insufficient balance"
}
```

## Fouten

HTTP 429 - POST /api/v1/suno/cover_audio

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "API key credit limit exceeded"
}
```

## Fouten

HTTP 409 - POST /api/v1/suno/cover_audio

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Fouten

HTTP 429 - POST /api/v1/suno/cover_audio

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Fouten

HTTP 503 - POST /api/v1/suno/cover_audio

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## Fouten

HTTP 504 - POST /api/v1/suno/cover_audio

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "The request timed out"
}
```

## Fouten

HTTP 404 - GET /api/v1/suno/cover_audio/:id

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## Gegenereerde codevoorbeelden

Gebruik cURL rechtstreeks, of installeer een SDK voor uw taal. Elk voorbeeld dient het gevalideerde verzoek in dat in deze referentie wordt getoond.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/suno/cover_audio \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"suno-v5","upload_url":"https://cdn.runapi.ai/public/samples/music.mp3","vocal_mode":"auto_lyrics","prompt":"Rework the track as upbeat acoustic pop.","persona_id":"persona_reference","persona_type":"style"}'
```

### javascript

#### Installeren

```bash
npm install @runapi.ai/suno
```

```javascript
import { SunoClient } from "@runapi.ai/suno";

const client = new SunoClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.coverAudio.create({
  "model": "suno-v5",
  "upload_url": "https://cdn.runapi.ai/public/samples/music.mp3",
  "vocal_mode": "auto_lyrics",
  "prompt": "Rework the track as upbeat acoustic pop.",
  "persona_id": "persona_reference",
  "persona_type": "style"
});
```

### python

#### Installeren

```bash
pip install runapi-suno
```

```python
import os
from runapi.suno import SunoClient

client = SunoClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.cover_audio.create(
  model="suno-v5",
  upload_url="https://cdn.runapi.ai/public/samples/music.mp3",
  vocal_mode="auto_lyrics",
  prompt="Rework the track as upbeat acoustic pop.",
  persona_id="persona_reference",
  persona_type="style"
)
```

### go

#### Installeren

```bash
go get github.com/runapi-ai/suno-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  suno "github.com/runapi-ai/suno-sdk/go/suno"
)

func main() {
  client, err := suno.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.CoverAudio.Create(context.Background(), suno.CoverAudioParams{
    Model: suno.SunoModel("suno-v5"),
    UploadURL: "https://cdn.runapi.ai/public/samples/music.mp3",
    VocalMode: suno.VocalMode("auto_lyrics"),
    Prompt: "Rework the track as upbeat acoustic pop.",
    PersonaID: "persona_reference",
    PersonaType: suno.PersonaType("style"),
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### Installeren

```bash
gem install runapi-suno
```

```ruby
require "runapi/suno"

client = RunApi::Suno::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.cover_audio.create(
  model: "suno-v5",
  upload_url: "https://cdn.runapi.ai/public/samples/music.mp3",
  vocal_mode: "auto_lyrics",
  prompt: "Rework the track as upbeat acoustic pop.",
  persona_id: "persona_reference",
  persona_type: "style"
)
```

### java

#### Installeren

```kotlin
implementation("ai.runapi:runapi-suno")
```

```java
import ai.runapi.suno.SunoClient;
import ai.runapi.suno.types.CoverAudioParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    SunoClient client = SunoClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.coverAudio().create(
        CoverAudioParams.builder()
        .model("suno-v5")
        .uploadUrl("https://cdn.runapi.ai/public/samples/music.mp3")
        .vocalMode("auto_lyrics")
        .prompt("Rework the track as upbeat acoustic pop.")
        .personaId("persona_reference")
        .personaType("style")
            .build()
    );
  }
}
```

### php

#### Installeren

```bash
composer require runapi-ai/suno
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Suno\SunoClient;

$client = new SunoClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->coverAudio->create([
  "model" => "suno-v5",
  "upload_url" => "https://cdn.runapi.ai/public/samples/music.mp3",
  "vocal_mode" => "auto_lyrics",
  "prompt" => "Rework the track as upbeat acoustic pop.",
  "persona_id" => "persona_reference",
  "persona_type" => "style"
]);
```

## Gerelateerde handleidingen

- [Authenticatie](https://runapi.ai/nl/docs/guides/authentication.md)
- [Snelstart](https://runapi.ai/nl/docs/guides/task-api/quickstart.md)

---

## Meer van RunAPI

- [Home](https://runapi.ai/nl/.md)
- [Modelcatalogus](https://runapi.ai/nl/models.md)
- [Prijzen](https://runapi.ai/nl/pricing.md)
- [Providers](https://runapi.ai/nl/models)
- [Documentatie](https://runapi.ai/nl/docs/guides)
- [SDK's](https://runapi.ai/nl/sdk.md)
- [CLI](https://runapi.ai/nl/cli.md)
- [MCP Server](https://runapi.ai/nl/mcp.md)
- [Claude Code vs Cursor](https://runapi.ai/nl/claude-code-vs-cursor.md)
- [Cursor API instellen](https://runapi.ai/nl/cursor-api-setup.md)
- [RunAPI vs OpenRouter](https://runapi.ai/nl/openrouter-alternative.md)
- [Enterprise](https://runapi.ai/nl/contact.md)
- [Contact](https://runapi.ai/nl/contact.md)
- [Voorwaarden](https://runapi.ai/nl/terms.md)
- [Privacy](https://runapi.ai/nl/privacy.md)
- [Site-index voor agents](https://runapi.ai/llms.txt)

Contact: contact@runapi.ai

## Gestructureerde gegevens

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/nl/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/nlicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "TechArticle",
    "headline": "Suno audio coveren",
    "description": "Gebruik het cover audio-eindpunt om een asynchrone Task te maken.",
    "url": "https://runapi.ai/nl/docs/api/suno/cover-audio",
    "mainEntityOfPage": "https://runapi.ai/nl/docs/api/suno/cover-audio"
  }
]
```
